package com.bcxin.ins.third.build.yangguang.yggc;

import com.alibaba.fastjson.JSON;
import com.bcxin.ins.vo.OrderFormVo;
import com.bcxin.ins.vo.SpecialBidVo;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.util.List;

/**
 * 阳光工程投标保证保险
 * Created by Apple on 2017/7/19.
 */
public class YGGC {
    private XmlHead xmlHead;
    private List<Policy> tbPolicyDtoList;
    private static Logger log = LogManager.getLogger(YGGC.class);

    public static void main(String[] args) {
        log.info(JSON.toJSONString(YGGC.getDemo()));
    }

    public static YGGC getDemo(){
        return new YGGC("demo");
    }
    public static YGGC getDemo(OrderFormVo dto, SpecialBidVo vo){
        return new YGGC(dto,vo);
    }
    public YGGC() {}

    private YGGC(String demo) {
        this.xmlHead = XmlHead.getDemo();
        this.tbPolicyDtoList =  Policy.getDemo();
    }
    private YGGC(OrderFormVo dto, SpecialBidVo vo) {
        this.xmlHead = XmlHead.getDemo();
        this.tbPolicyDtoList =  Policy.getDemo1(dto, vo);
    }
    public XmlHead getXmlHead() {
        return xmlHead;
    }

    public void setXmlHead(XmlHead xmlHead) {
        this.xmlHead = xmlHead;
    }

    public List<Policy> getTbPolicyDtoList() {
        return tbPolicyDtoList;
    }

    public void setTbPolicyDtoList(List<Policy> tbPolicyDtoList) {
        this.tbPolicyDtoList = tbPolicyDtoList;
    }
}
